Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.lowbalancepoll
Class EPPLowBalancePollMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory
          com.verisign.epp.codec.lowbalancepoll.EPPLowBalancePollMapFactory

    public class EPPLowBalancePollMapFactory

extends EPPMapFactory

The EPPCodec Extension Factory that needs to be configured to encode/decode LowBalancePoll responses. The LowBalance Poll URI is: http://www.verisign.com/epp/lowbalance-poll-1.0

Title: EPP 1.0 LowBalance

Description: LowBalance Poll Mapping for the EPP SDK

Copyright: Copyright (c) 2004

Company: VeriSign

Version:
  1.0
Author:
  majain

Field Summary
`static java.lang.String` | `NS` Namespace URI associated with EPPLowBalanceFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPLowBalanceFactory.
`static java.lang.String` | `NS_SCHEMA` EPP LowBalance XML Schema.

Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

Constructor Summary
`EPPLowBalancePollMapFactory()` Create a new instance of EPPLowBalancePollMapFactory

Method Summary
`EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` Overridden but does nothing in the context of LowBalance Poll.
`EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` Creates the poll response
`EPPService` | `getService()` Returns the EPPService instance associated with this ExtFactory.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPLowBalanceFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPLowBalanceFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP LowBalance XML Schema.

  See Also:
    Constant Field Values

Constructor Detail

### EPPLowBalancePollMapFactory

    public EPPLowBalancePollMapFactory()

  Create a new instance of EPPLowBalancePollMapFactory

Method Detail

### createCommand

    public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                             throws EPPCodecException

  Overridden but does nothing in the context of LowBalance Poll. Only Poll responses are implemented

  Specified by:
    `createCommand` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - DOM `Element` to create command from
  Returns:
    `EPPCommand` if supported
  Throws:
    `EPPCodecException` - If cannot create `EPPCommand`.

### getService

    public EPPService getService()

  Returns the EPPService instance associated with this ExtFactory. The EPPService instance contains the XML Namespace and XML Schema location

  Specified by:
    `getService` in class `EPPMapFactory`
  Returns:
    the EPPService instance associated with this ExtFactory

### createResponse

    public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                               throws EPPCodecException

  Creates the poll response

  Specified by:
    `createResponse` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - DOM `Element` to create response from
  Returns:
    `EPPResponse` if supported
  Throws:
    `EPPCodecException` - If cannot create `EPPResponse`.

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPMapFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.